My Oracle Support Banner

ODA 18.3 Upgrade Command Fails With Error: DCS-10045:Validation error encountered: current agent version is less than min version 18.3.0.0.0 please update agent first. (Doc ID 2655146.1)

Last updated on FEBRUARY 28, 2022

Applies to:

Oracle Database Appliance Software - Version 12.2.1.2 and later
Information in this document applies to any platform.

Symptoms

On : Oracle Database Appliance X6-2S (12.2.1.2)

ODA 18.3 Upgrade Command Fails w/ DCS-10045:Validation error encountered: current agent version is less than min version 18.3.0.0.0 please update agent first.

odacli update-server -v 18.3.0.0.0' Command Fails w/ DCS-10045:Validation error encountered: current


ERROR
-----------------------
[root@odanode1 Oracle_upgrade_18.3]# odacli update-server -v 18.3.0.0.0
DCS-10045:Validation error encountered: current agent version is less than min version 18.3.0.0.0 please update agent first.
[root@odanode1 Oracle_upgrade_18.3]#
[root@odanode1 Oracle_upgrade_18.3]# odacli describe-job -i 270ce19d-xxxx-xxxx-xxxx-907d6a6c744d
 

Running command:

  odacli update-server -v 18.3.0.0.0

Unable to continue ODA 18.3 Server Component Patching for this ODA X6-2S system.

Changes

Despite the DcsAgent patching job showing success, the package in use is still at the lower version:

-----------------------
[root@odanode1 Oracle_upgrade_18.3]# odacli update-dcsagent -v 18.3.0.0.0
{
 "jobId" : "270ce19d-xxxx-xxxx-xxxx-907d6a6c744d",
 "status" : "Created",
 "message" : "Dcs agent will be restarted after the update. Please wait for 2-3 mins before executing the other commands",
 "reports" : [ ],
 "createTimestamp" : "March 31, 2020 10:53:09 AM MST",
 "resourceList" : [ ],
 "description" : "DcsAgent patching",
 "updatedTime" : "March 31, 2020 10:53:09 AM MST"
}
[root@odanode1 Oracle_upgrade_18.3]# odacli describe-job -i 270ce19d-xxxx-xxxx-xxxx-907d6a6c744d

Job details                                                      
----------------------------------------------------------------
                    ID:  270ce19d-xxxx-xxxx-xxxx-907d6a6c744d
           Description:  DcsAgent patching
                Status:  Success
               Created:  March 31, 2020 10:53:09 AM MST
               Message:  

Task Name                                          Start Time                          End Time                            Status    
-------------------------------------------------- ----------------------------------- ----------------------------------- ----------
Patch location validation                          March 31, 2020 10:53:10 AM MST      March 31, 2020 10:53:10 AM MST      Success  
dcs-agent upgrade                                  March 31, 2020 10:53:10 AM MST      March 31, 2020 10:53:11 AM MST      Success  

[root@odanode1 Oracle_upgrade_18.3]#

[root@odanode1 Oracle_upgrade_18.3]# rpm -qa | grep dcs-agent

dcs-agent-12.2.1.2.0_LINUX.X64_180124-116.x86_64               <<<<<<<<<<<< this is the older package.

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.